|  | Home |

# QMailMessageClassifier Class Reference

The QMailMessageClassifier class provides a simple mechanism for determining the type of content contained by a message. More...

        #include <QMailMessageClassifier>

This class is under development and is subject to change.

- List of all members, including inherited members

## Public Functions

| QMailMessageClassifier ()
bool | classifyMessage ( QMailMessageMetaData & metaData )
bool | classifyMessage ( QMailMessage & message )

## Detailed Description

The QMailMessageClassifier class provides a simple mechanism for determining the type of content contained by a message.

QMailMessageClassifier inspects a message to determine what type of content it contains, according to the classification of QMailMessage::ContentType.

Messages of type QMailMessage::Email may be classified as having QMailMessage::VoicemailContent or QMailMessage::VideomailContent content if their QMailMessage::from() address matches any of those configured in the `Nokia/messageserver.conf` file.

## Member Function Documentation

### QMailMessageClassifier::QMailMessageClassifier ()

Constructs a classifier object.

### bool QMailMessageClassifier::classifyMessage ( QMailMessageMetaData & metaData )

Attempts to determine the type of content held within the message described by metaData, if it is currently set to QMailMessageMetaData::UnknownContent. If the content type is determined, the message metadata record is updated and true is returned.

See also QMailMessageMetaData::setContent().

### bool QMailMessageClassifier::classifyMessage ( QMailMessage & message )

Attempts to determine the type of content held within the message message, if it is currently set to QMailMessageMetaData::UnknownContent. If the content type is determined, the message record is updated and true is returned.

See also QMailMessageMetaData::setContent().